#ifdef LINUX
if (setting(Setting::SOUND)) {

  string file;
  switch(type()) {
    using namespace GAMETYPE;
  case NORMAL:
    file = "gesunda.wav";
    break;
  case JACK_SOLO:
    file = "bubensolo.wav";
    break;
  case QUEEN_SOLO:
    file = "damensolo.wav";
    break;
  case JACK_QUEEN_SOLO:
    file = "bubendamensolo.wav";
    break;
  case KOEHLER_SOLO:
    file = "koehler.wav";
    break;
  case CLUB_SOLO:
    file = "kreuzsolo.wav";
    break;
  case SPADE_SOLO:
    file = "piksolo.wav";
    break;
  case HEART_SOLO:
    file = "herzsolo.wav";
    break;
  case DIAMOND_SOLO:
    file = "karosolo.wav";
    break;
  case MEATLESS_SOLO:
    file = "meatlesser.wav";
    break;
  case POORNESS:
    file = "";
    break;
  case MARRIAGE:
    file = "hochzeit.wav";
    break;
  default:
    cerr << "Error: file " << __FILE__ << ", line " << __LINE__ << ", "
      << "function Game::type_Set()\n"
      << "  illegal value GAMETYPE::" << type()
      << endl;
    break;
  }
  system((char*)("play " +
		 setting(Setting::SOUND_DIRECTORY)
		 + setting(Setting::LANGUAGE) + "/"
		 + file
		 + ">/dev/null"));
}
#endif

#ifdef LINUX
if (setting(Setting::SOUND))
  system((char*)("play " + setting(Setting::SOUND_DIRECTORY) + "playcard.wav"
		 + ">/dev/null"));
#endif

#ifdef LINUX
if (setting(Setting::SOUND))
  system((char*)("play " + setting(Setting::SOUND_DIRECTORY)
		 + "taketrick.wav"
		 + ">/dev/null"));
#endif


#ifdef LINUX
  if (setting(Setting::SOUND)) {
    system((char*)("play " + setting(Setting::SOUND_DIRECTORY)
		   + "mischen2.wav"
		   + ">/dev/null"));
    system((char*)("play " + setting(Setting::SOUND_DIRECTORY)
		   + "mischen1.wav"
		   + ">/dev/null"));
  }
#endif
